#!/usr/bin/env bash

set -e

HOST=${HOST:-rpi3}
# Build static site
zig build

# Build comments app
pushd comments
zig build \
   -Doptimize=ReleaseSafe \
   -Dtarget=aarch64-linux-gnu \
   -Dcpu=baseline
popd

# Copy static site
rsync -rz zig-out/* root@$HOST:/var/www/mfashby.net

# Copy comments app
rsync comments/zig-out/bin/comments root@$HOST:/usr/local/bin/comments
